/* Ilu_Make_Hack.java  */
/* Chris Jacobi, April 22, 1997 12:40 pm PDT */

/*
 * Copyright (c) 1997 Xerox Corporation.  All Rights Reserved.  
 * Unlimited use, reproduction, and distribution of this software is
 * permitted.  Any copy of this software must include both the above
 * copyright notice of Xerox Corporation and this paragraph.  Any
 * distribution of this software must comply with all applicable United
 * States export control laws.  This software is made available AS IS,
 * and XEROX CORPORATION DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED,
 * INCLUDING WITHOUT LIMITATION THE IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS FOR A PARTICULAR PURPOSE, AND NOTWITHSTANDING ANY OTHER
 * PROVISION CONTAINED HEREIN, ANY LIABILITY FOR DAMAGES RESULTING FROM
 * THE SOFTWARE OR ITS USE IS EXPRESSLY DISCLAIMED, WHETHER ARISING IN
 * CONTRACT, TORT (INCLUDING NEGLIGENCE) OR STRICT LIABILITY, EVEN IF
 * XEROX CORPORATION IS ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 */
 
/* $Id: Ilu_Make_Hack.java,v 1.1 1997/04/22 19:40:56 jacobi Exp $ */

package xerox.ilu;

public class Ilu_Make_Hack {
    
    public static void main(String argv[]) {
        String v = System.getProperty("java.version");
        System.out.println("java.version is " + v);
        try {
            if (v != null && v.startsWith("1.0")) {
                //
                // In the java 1.0.2 release the sysmacros_md.h
                // is bogus.  make sure Ilu will find this
                // fixed version.
                //
                java.io.FileOutputStream out = 
                    new java.io.FileOutputStream("sysmacros_md.h");
                java.io.FileInputStream in = 
                    new java.io.FileInputStream("sysmacros_md.ilu");
                while (in.available()>0) {
                    int b = in.read();
                    out.write(b);
                }
                out.flush();
                out.close();
                System.out.println("Ensured presence of special version of sysmacros_md.h");
            } else {
                //
                // Other java releases don't have this bug.
                // Delete the file which might be laying around 
                // from a previous ilu build.
                //
                java.io.File f = new java.io.File("sysmacros_md.h");
                f.delete();
                System.err.println("Ensured that no bogus sysmacros_md.h file is laying around");
            }
        } catch (Exception e) {
            System.err.println("Exception: " + e);
        }
    }    
    
} //Ilu_Make_Hack
